- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ gerrit_name }}"
      namespace: "{{ namespace }}"
    - name: "{{ gerrit_name }}-slave"
      namespace: "{{ namespace }}"
    policy_name: "{{ gerrit_name }}-to-{{ postfix_name | default('postfix') }}"
    policy_namespace: "{{ postfix_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_network_policy
                                    and smtp_address | default(False))
                                else 'absent' }}"
    subject: "{{ postfix_name | default('postfix') }}"
    to:
    - number: "25"
    - number: "465"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ gerrit_name }}"
      namespace: "{{ namespace }}"
    - name: "{{ gerrit_name }}-slave"
      namespace: "{{ namespace }}"
    policy_name: "{{ gerrit_name }}-to-{{ ldap_name | default('ldap') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_ldap
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ ldap_name | default('ldap') }}"
    to:
    - number: "1389"
    - number: "1636"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ gerrit_name }}"
      namespace: "{{ namespace }}"
    - name: "{{ gerrit_name }}-slave"
      namespace: "{{ namespace }}"
    policy_name: "{{ gerrit_name }}-to-{{ lemon_name | default('lemon') }}"
    policy_namespace: "{{ ldap_namespace | default(namespace) }}"
    policy_state: "{{ 'present' if (do_lemon
                                    and do_network_policy)
                                else 'absent' }}"
    subject: "{{ lemon_name | default('lemon') }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/volume.yaml
  vars:
    vol_name: "{{ gerrit_name }}"
    vol_size: "{{ gerrit_data_capacity }}"
- include_role:
    name: commons
    tasks_from: helpers/deployment.yaml
  vars:
    cone_cpu_limit: "{{ sshd_cpu_limit }}"
    cone_cpu_request: "{{ sshd_cpu_request }}"
    cone_memory_limit: "{{ sshd_memory_limit }}"
    cone_memory_request: "{{ sshd_memory_request }}"
    cone_idx: "{{ 1 if (do_backups)
                    else 0 }}"
    cpu_limit: "{{ gerrit_cpu_limit }}"
    cpu_request: "{{ gerrit_cpu_request }}"
    dc_data: "{{ lookup('template', 'gerrit-master.j2') }}"
    dc_name: "{{ gerrit_name }}"
    dc_replicas: 1
    dc_tag: "{{ gerrit_tag }}"
    memory_limit: "{{ gerrit_memory_limit }}"
    memory_request: "{{ gerrit_memory_request }}"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    ports:
    - 8080
    - 29418
    svc_name: "{{ gerrit_name }}"
- include_role:
    name: commons
    tasks_from: helpers/service.yaml
  vars:
    ports:
    - 2222
    svc_name: "backups-{{ gerrit_name }}"
    svc_selector: "{{ gerrit_name }}"
    svc_state: "{{ 'present' if (do_backups)
                             else 'absent' }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: k8s-backups
    policy_matchkey: backups-opsperator
    policy_name: "backups-to-{{ gerrit_name }}"
    policy_state: "{{ 'present' if (do_network_policy
                                    and do_backups)
                                else 'absent' }}"
    subject: "{{ gerrit_name }}"
    to:
    - number: "2222"
- include_role:
    name: commons
    tasks_from: helpers/route.yaml
  vars:
    route_host: "{{ gerrit_fqdn }}"
    route_name: "{{ gerrit_name }}"
    svc_name: "{{ gerrit_name }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ gerrit_name }}-slave"
    policy_name: "{{ gerrit_name }}-slaves-to-{{ gerrit_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ gerrit_name }}"
    to:
    - number: "8080"
    - number: "29418"
  when:
  - gerrit_replicas | int > 1
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - namespace: "{{ default_namespace_match }}"
    policy_name: "public-to-{{ gerrit_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ gerrit_name }}"
    to:
    - number: "8080"
- include_role:
    name: commons
    tasks_from: helpers/wait-for.yaml
  vars:
    check_with: "{{ lookup('k8s', api_version=deployment_apivers,
                           kind=deployment_kind, namespace=namespace,
                           resource_name=gerrit_name) | default('') }}"
    obj_name: "{{ gerrit_name }}"
    retries_for: 180
    wait_for: 10
